petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMPIAdjCreateNonemptySubcommMat

create the same MPIAdj matrix on a subcommunicator containing only processes owning a positive number of rows

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAdjCreateNonemptySubcommMat(Mat A,Mat *B)

Collective

### Input Arguments

A -original MPIAdj matrix

### Output Arguments

B -matrix on subcommunicator, NULL on ranks that owned zero rows of A

### Note

This function is mostly useful for internal use by mesh partitioning packages that require that every process owns at least one row.

The matrix B should be destroyed with MatDestroy(). The arrays are not copied, so B should be destroyed before A is destroyed.

### See Also

MatCreateMPIAdj()

### Level

developer

### Location

src/mat/impls/adj/mpi/mpiadj.c

### Implementations

MatMPIAdjCreateNonemptySubcommMat_MPIAdj in src/mat/impls/adj/mpi/mpiadj.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages